#if !defined(ANLEGER_HEADER)
#define ANLEGER_HEADER

// Definitionen

// Standart Includes
#include <time.h>
#include <stdlib.h>
#include <stdio.h>
// Eigene Includes
#include <sdl.h>
#include <sdl_image.h>
#include "CSpielkarte.h"
#include "CKartenstapel.h"
#include "CSpielmitte.h"
#include "CPlayer.h"

#define ST_SPIEL_INIT		0
#define ST_ANZAHL_SPIELER	1
#define ST_SPIELER_ERZEUGEN	2
#define ST_KARTEN_GEBEN		3
#define ST_SPIELER_AKTIV	4
#define ST_NEXT_SPIELER		5
#define ST_RUNDENENDE		6
#define ST_NOCHNERUNDE		7
#define ST_SPIEL_NEU_GEBEN	8


class CAnleger
{
public:
	CAnleger(short screen_breite, short screen_hoehe, bool fullscreen);
	~CAnleger();
	// ffentliche Funtkionen
	bool tick();
	void zeichnen();
	void click(int x, int y);
	SDL_Surface *screen;

private:
	CKartenstapel kartenstapel;
	CPlayer** player;	// Verwalltung der Spieler
	int anz_player;		// anzahl der Spieler
	int activ_player;	// derzeit aktiver spieler

	int spielgeber;		// welcher Spieler die Karten gegeben hat

	int status;	// status des Spiels

	CSpielmitte mitte;

	void karten_laden();
	// hier sind die Spielkarten extra nochmal hinterlegt
	CSpielkarte*** spielkarten;		// spielkarten[farbe][wert]

	void spieler_erzeugen();
	void karten_geben();

	void set_next_player();

	void runde_abrechnen();
};

#endif
