// CKartenstapel.h: Schnittstelle fr die Klasse CKartenstapel.
//
//////////////////////////////////////////////////////////////////////

#if !defined(HEADER_KARTENSTAPEL)
#define HEADER_KARTENSTAPEL

#include "CSpielkarte.h"

class CKartenstapel  
{
public:
	CKartenstapel();
	virtual ~CKartenstapel();

	int getAnzKarten() {return anzkarten;}

	void getKarte(CSpielkarte *karte);
	CSpielkarte* giveKarte(CSpielkarte* karte);
	CSpielkarte* giveFirstKarte();
	CSpielkarte* giveRandomKarte();

	int getWertHoechsteKarte(int farbe);
	int getWertNiedrigsteKarte(int farbe);

	void sortKarten();
	void mixKarten(int anzmix);

	void setAnzeige(int x, int y, bool center, bool verdeckt, bool vertikal, int z=25);
	void zeichnen();

	CSpielkarte* click(int x, int y);

private:
	struct strKarte
	{
		CSpielkarte* karte;
		strKarte* next;
		strKarte* prev;
	};

	strKarte* erste_karte;
	strKarte* letzte_karte;
	int anzkarten;

	struct
	{
		int x,y;		// Position des Kartenstapels
		bool center;	// ist die Position Links oder Center(<-true)
		bool verdeckt;	// ist die Kartenvorderseite zu sehen (true->rckseite)
		bool vertikal;	// links nach rechts oder (true->oben nach unten)
		int z;			// Zwischenraum zwischen den Karten
	} anzeige;

	bool KartenPosAktuell;
	void setNewKartenPos();
};

#endif
