// CPlayer.cpp: Implementierung der Klasse CPlayer.
//
//////////////////////////////////////////////////////////////////////

#include "CPlayer.h"

//////////////////////////////////////////////////////////////////////
// Konstruktion/Destruktion
//////////////////////////////////////////////////////////////////////

CPlayer::CPlayer()
{
	holze=0;
	punkte=0;
}

CPlayer::~CPlayer()
{

}

//////////////////////////////////////////////////////////////////////
// Karten auf Klick testen
//////////////////////////////////////////////////////////////////////
CSpielkarte* CPlayer::click(int x, int y)
{
	return karten.click(x,y);
}

//////////////////////////////////////////////////////////////////////
// Anzeige der Karten des Spielers einstellen
//////////////////////////////////////////////////////////////////////
void CPlayer::setAnzeige(int x, int y, bool center, bool verdeckt, bool vertikal, int z)
{
	karten.setAnzeige(x, y, center, verdeckt, vertikal, z);
}

//////////////////////////////////////////////////////////////////////
// Karten zeichnen
//////////////////////////////////////////////////////////////////////
void CPlayer::zeichnen()
{
	karten.zeichnen();
}

//////////////////////////////////////////////////////////////////////
// Karten bekommen
//////////////////////////////////////////////////////////////////////
void CPlayer::getKarte(CSpielkarte* karte)
{
	karten.getKarte(karte);
}

//////////////////////////////////////////////////////////////////////
// Karten abgeben
//////////////////////////////////////////////////////////////////////
CSpielkarte* CPlayer::giveKarte(CSpielkarte* karte)
{
	if (karte) return karten.giveKarte(karte);
	
	return karten.giveFirstKarte();
}

//////////////////////////////////////////////////////////////////////
// Karten sortieren
//////////////////////////////////////////////////////////////////////
void CPlayer::sortKarten()
{
	karten.sortKarten();
}

//////////////////////////////////////////////////////////////////////
// Interaktion fr Holze und Punkte
//////////////////////////////////////////////////////////////////////
void CPlayer::holzen()
{
	holze++;
}

void CPlayer::addPunkte(int punkte)
{
	this->punkte+=punkte;
}

int CPlayer::getPunkte()
{
	return punkte;
}

int CPlayer::getHolze()
{
	return holze;
}

void CPlayer::delHolze()
{
	holze=0;
}

int CPlayer::getAnzKarten()
{
	return karten.getAnzKarten();
}