// CPlayer.h: Schnittstelle fr die Klasse CPlayer.
//
//////////////////////////////////////////////////////////////////////

#if !defined(HEADER_PLAYER)
#define HEADER_PLAYER

// includes
#include "CSpielkarte.h"
#include "CKartenstapel.h"

class CPlayer  
{
public:
	CPlayer();
	virtual ~CPlayer();

	void setAnzeige(int x, int y, bool center, bool verdeckt, bool vertikal, int z=25);
	void zeichnen();

	void getKarte(CSpielkarte* karte);
	CSpielkarte* giveKarte(CSpielkarte* karte);

	CSpielkarte* click(int x, int y);
	
	void sortKarten();

	void holzen();
	void addPunkte(int punkte);
	int getPunkte();
	int getHolze();
	void delHolze();
	int getAnzKarten();

private:
	CKartenstapel karten;

	int holze;
	int punkte;
	
};

#endif