#include <stdio.h>
#include <sdl.h>

#include "CAnleger.h"

/*
#ifdef _WIN32
#undef main
#endif
*/

#define SCREEN_BREITE	800
#define SCREEN_HOEHE	600
#define FULLSCREEN		true

int main(int argc, char **argv)
{
	if (SDL_Init(SDL_INIT_VIDEO)<0)		// Initialiserung von SDL
	{
		fprintf(stderr,"SDL konnte nicht initialisiert werden: %s\n",SDL_GetError());
		return 1;
	}

	// Game initiierne und starten
	CAnleger* game = new CAnleger(SCREEN_BREITE,SCREEN_HOEHE,FULLSCREEN);

	// Programmlogik (Eventbehandlung)
	bool running = true;
	while (running)
	{
		SDL_Event event;
		while(SDL_PollEvent(&event))
		{
			switch(event.type)
			{
			case SDL_KEYDOWN:
				if (event.key.keysym.sym==SDLK_ESCAPE)
					running=false;
				break;

			case SDL_MOUSEBUTTONDOWN:
				if (event.button.button == SDL_BUTTON_LEFT)
					game->click(event.button.x, event.button.y);
				break;

			case SDL_QUIT:
				running = false;
				break;
			}
		}
		running&=game->tick();
	}

	delete game;

	return 0;
}
